# TdApi.GetRecoveryEmailAddress

Package it.ernytech.tdlib

## Class TdApi.GetRecoveryEmailAddress

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetRecoveryEmailAddress

Enclosing class:
  TdApi

    public static class TdApi.GetRecoveryEmailAddress
    extends TdApi.Function

Returns a recovery email address that was previously set up. This method can be used to verify a password provided by the user.

Returns `RecoveryEmailAddress`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `password` The password for the current user.

### Constructor Summary

Constructors
`GetRecoveryEmailAddress()` Default constructor.
`GetRecoveryEmailAddress​(java.lang.String password)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### password

    public java.lang.String password

The password for the current user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetRecoveryEmailAddress

    public GetRecoveryEmailAddress()

Default constructor.

#### GetRecoveryEmailAddress

    public GetRecoveryEmailAddress​(java.lang.String password)

Constructor for initialization of all fields.

Parameters:
  `password` - The password for the current user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR